%global pkgvers 0
%global scdate0 20250526
%global schash0 6ff563c4e5a7fdaeb8f5f00ca6f1ec66ba18ea3b
%global branch0 master
%global source0 https://github.com/enjoy-digital/liteiclink.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           litex-liteiclink
Version:        2024.12
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        A small footprint and configurable inter chip communication cores
License:        BSD
BuildArch:      noarch

URL:            https://github.com/enjoy-digital/liteiclink

Patch0:         litex-iclink.patch

BuildRequires:  git python3-devel python3-setuptools

Requires:       %{name}-python3 = %{version}-%{release}

%global _python_dist_allow_version_zero 1

%description
LiteICLink provides small footprint and configurable inter chip communication cores.

%package        python3
Summary:        %{summary}
Requires:       litex-python3
Provides:       liteiclink

%description    python3
LiteICLink provides small footprint and configurable inter chip communication cores.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller
%patch -P 0 -p1 -b .py36~


%build
%{py3_build}


%install
%{py3_install}


%files python3
%doc README.md
%license LICENSE
%{python3_sitelib}/*


%changelog
* Thu Nov 18 2021 Cristian Balint <cristian.balint@gmail.com>
- initial release
